Subject: Re: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: Juri Linkov <[email-masked]>
Date: Wed, 20 Jul 2011 18:17:27 +0300

> Ok, and how do users configure emacs to automatically split windows in
> such a way that they aren't wider (or narrower) than the text to be
> displayed in them while achieving the window layout they want?

Do you mean an algorithm like implemented in `balance-windows' (`C-x +')
or `shrink-window-if-larger-than-buffer' (`C-x -').  Unfortunately,
it's only for the vertical direction, and I can't find the same for the
horizontal direction, something like `shrink-window-if-<wider>-than-buffer'.

> Hm, sounds good to me.  Is there some more info about this available?
> Will this be implemented?

I hope Martin could answer your questions whether in the new design
is possible to achieve this by using window nests and splits.